src.backend.lib.models.Collection(3)

NAME
src.backend.lib.models.Collection

SYNOPSIS

Inherits src.backend.lib.models.Base.

  Static Public Attributes
Mapped collection [str]
Mapped book_id = mapped_column(ForeignKey(Book.book_id))
Mapped collection_id = mapped_column(primary_key=True)

Detailed Description

Collection model.

Member Data Documentation

  Mapped src.backend.lib.models.Collection.book_id = mapped_column(ForeignKey(Book.book_id)) [static]

  Mapped src.backend.lib.models.Collection.collection [str] [static]

  Mapped src.backend.lib.models.Collection.collection_id = mapped_column(primary_key=True) [static]

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.